
/* modified header file for compiling K8055D calls with Cygwin gcc */
/* (c) 2003 Velleman */
/* modifications by Ewout Boks : http://www.boks/com */


#ifdef __cplusplus
extern "C" {
#else
typedef unsigned char Bool;
#endif


    long  OpenDevice(long CardAddress);
    void CloseDevice();
    long  ReadAnalogChannel(long Channel);
    void ReadAllAnalog(long *Data1, long *Data2);
    void OutputAnalogChannel(long Channel, long Data);
    void OutputAllAnalog(long Data1, long Data2);
    void ClearAnalogChannel(long Channel); 
    void ClearAllAnalog();
    void SetAnalogChannel(long Channel); 
    void SetAllAnalog();
    void WriteAllDigital(long Data);
    void ClearDigitalChannel(long Channel);
    void ClearAllDigital();
    void SetDigitalChannel(long Channel);
    void SetAllDigital();
    Bool  ReadDigitalChannel(long Channel);
    long  ReadAllDigital();
    long  ReadCounter(long CounterNr);
    void ResetCounter(long CounterNr);
    void SetCounterDebounceTime(long CounterNr, long DebounceTime);

#ifdef __cplusplus
}
#endif





